%define oname		wnck

%define api		1
%define major		22
%define gi_major	1.0
%define libname		%mklibname %{oname} %{api} %{major}
%define devname		%mklibname -d %{oname} %{api}
%define girname		%mklibname %{oname}-gir %{gi_major}

%define url_ver	%(echo %{version} | cut -d. -f1,2)

Summary:	Libwnck is Window Navigator Construction Kit
Name:		libwnck
Version:	2.31.0
Release:	%mkrel 13
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
License:	LGPLv2+
URL:		https://www.gnome.org/
Group:		System/Libraries
BuildRequires:	pkgconfig(libstartup-notification-1.0) >= 0.4
BuildRequires:	pkgconfig(glib-2.0) >= 2.16.0
BuildRequires:	pkgconfig(gobject-2.0) >= 2.13.0
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gtk+-2.0) >= 2.19.7
BuildRequires:	pkgconfig(xres)
BuildRequires:	intltool
BuildRequires:	gnome-common

%description
libwnck is Window Navigator Construction Kit, i.e. a library to use
for writing pagers and taskslists and stuff.

%package -n %{libname}
Summary:	%{summary}
Group:		%{group}
Provides:	%{name}-%{api} = %{version}-%{release}
Requires:	%{name} >= %{version}-%{release}
Conflicts:	gir-repository < 0.6.5-9
Obsoletes:	%{_lib}wnck-1_22 < 2.30.7

%description -n %{libname}
libwnck is Window Navigator Construction Kit, i.e. a library to use
for writing pagers and taskslists and stuff.

%package -n %{devname}
Summary:	The development files and headers for %{name}
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{name}-%{api}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Conflicts:	%mklibname -d wnck-1_ 4
Conflicts:	%mklibname -d wnck-1_ 16
Conflicts:	%mklibname -d wnck-1_ 18
Obsoletes:	%mklibname -d wnck-1_ 22
Obsoletes:	%{_lib}wnck-1-devel < 2.30.7
Conflicts:	gir-repository < 0.6.5-9

%description -n %{devname}
This package contains the development files and headers for %{name}.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Conflicts:	%{_lib}%{oname}1_22 < 2.31.0-2

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%setup -q

%build
# to recognize aarch64
autoreconf -vfi

%configure \
	--disable-static \
	--enable-introspection=yes
%make_build

%install
%make_install

#we don't want these
find %{buildroot} -name '*.la' -delete

# This package is merely compat for gtk2 apps, now.
# The binaries are shipped in libwnck3
rm -f %{buildroot}%{_bindir}/wnckprop
rm -f %{buildroot}%{_bindir}/wnck-urgency-monitor

%find_lang %{name}

%files -f %{name}.lang
%doc README AUTHORS

%files -n %{libname}
%{_libdir}/%{name}-%{api}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Wnck-%{gi_major}.typelib

%files -n %{devname}
%doc %{_datadir}/gtk-doc/html/%{name}/
%{_includedir}/%{name}-1.0/
%{_libdir}/%{name}-%{api}.so
%{_libdir}/pkgconfig/%{name}-1.0.pc
%{_datadir}/gir-1.0/Wnck-%{gi_major}.gir


%changelog
* Wed Apr 22 2020 ovitters <ovitters> 2.31.0-13.mga8
+ Revision: 1570842
- rebuild for to test removal of deprecated macros
+ danf <danf>
- Switch URLs from http: to https:

* Thu Feb 13 2020 umeabot <umeabot> 2.31.0-12.mga8
+ Revision: 1514695
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 2.31.0-11.mga7
+ Revision: 1299227
- Mageia 7 Mass Rebuild

* Sun Jun 03 2018 wally <wally> 2.31.0-10.mga7
+ Revision: 1234006
- fix build on aarch64

* Thu Feb 11 2016 umeabot <umeabot> 2.31.0-9.mga6
+ Revision: 955917
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 wally <wally> 2.31.0-8.mga6
+ Revision: 847730
- add requires for gir pkg to devel pkg

* Wed Oct 15 2014 umeabot <umeabot> 2.31.0-7.mga5
+ Revision: 741631
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 wally <wally> 2.31.0-6.mga5
+ Revision: 724934
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 2.31.0-5.mga5
+ Revision: 681858
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.31.0-4.mga4
+ Revision: 507447
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 2.31.0-3.mga3
+ Revision: 358456
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 29 2012 wally <wally> 2.31.0-2.mga3
+ Revision: 275782
- create a subpkg for gir typelib
- clean .spec

* Tue Mar 06 2012 fwang <fwang> 2.31.0-1.mga2
+ Revision: 219591
- new version 2.31.0

* Sat Sep 03 2011 fwang <fwang> 2.30.7-1.mga2
+ Revision: 138124
- drop versioned req
- new version 2.30.7

* Thu Jun 09 2011 dmorgan <dmorgan> 2.30.6-5.mga2
+ Revision: 102445
- Remove la files

* Wed Jun 08 2011 dmorgan <dmorgan> 2.30.6-4.mga2
+ Revision: 101983
- drop wnckprop and wnck-urgency-monitor

* Sat Jan 15 2011 blino <blino> 2.30.6-3.mga1
+ Revision: 18804
- remove old ldconfig scriptlets
- imported package libwnck


* Thu Dec 16 2010 Funda Wang <fwang@mandriva.org> 2.30.6-2mdv2011.0
+ Revision: 622235
- rebuild

* Wed Nov 17 2010 Götz Waschk <waschk@mandriva.org> 2.30.6-1mdv2011.0
+ Revision: 598369
- update to new version 2.30.6

* Mon Sep 27 2010 Götz Waschk <waschk@mandriva.org> 2.30.5-1mdv2011.0
+ Revision: 581280
- update to new version 2.30.5

* Tue Sep 14 2010 Götz Waschk <waschk@mandriva.org> 2.30.4-1mdv2011.0
+ Revision: 578283
- update to new version 2.30.4

* Sun Sep 12 2010 Götz Waschk <waschk@mandriva.org> 2.30.3-2mdv2011.0
+ Revision: 577676
- rebuild for new g-i

* Wed Aug 04 2010 Götz Waschk <waschk@mandriva.org> 2.30.3-1mdv2011.0
+ Revision: 565808
- update to new version 2.30.3

* Sat Jul 31 2010 Funda Wang <fwang@mandriva.org> 2.30.2-2mdv2011.0
+ Revision: 563906
- rebuild for new gobject-introspection

* Sun Jul 11 2010 Götz Waschk <waschk@mandriva.org> 2.30.2-1mdv2011.0
+ Revision: 550679
- update to new version 2.30.2

* Tue Mar 30 2010 Götz Waschk <waschk@mandriva.org> 2.30.0-1mdv2010.1
+ Revision: 528961
- update to new version 2.30.0

* Tue Mar 09 2010 Götz Waschk <waschk@mandriva.org> 2.29.92-1mdv2010.1
+ Revision: 517235
- new version
- bump gtk dep
- add introspection support

* Mon Feb 22 2010 Götz Waschk <waschk@mandriva.org> 2.29.91-1mdv2010.1
+ Revision: 509658
- update to new version 2.29.91

* Wed Jan 27 2010 Götz Waschk <waschk@mandriva.org> 2.29.6-1mdv2010.1
+ Revision: 497244
- update to new version 2.29.6

* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 446795
- update to new version 2.28.0

* Thu Sep 10 2009 Götz Waschk <waschk@mandriva.org> 2.27.92-1mdv2010.0
+ Revision: 437222
- update to new version 2.27.92

* Wed Jul 29 2009 Götz Waschk <waschk@mandriva.org> 2.27.5-1mdv2010.0
+ Revision: 402908
- new version
- update file list

* Wed Jul 15 2009 Götz Waschk <waschk@mandriva.org> 2.27.4-1mdv2010.0
+ Revision: 396380
- new version
- update the patch

* Wed Jul 01 2009 Götz Waschk <waschk@mandriva.org> 2.26.2-1mdv2010.0
+ Revision: 391253
- update to new version 2.26.2

* Tue Jun 30 2009 Götz Waschk <waschk@mandriva.org> 2.26.1-1mdv2010.0
+ Revision: 390824
- new version
- fix build

* Tue Apr 14 2009 Götz Waschk <waschk@mandriva.org> 2.26.1-1mdv2009.1
+ Revision: 366939
- update to new version 2.26.1

* Mon Mar 16 2009 Götz Waschk <waschk@mandriva.org> 2.26.0-1mdv2009.1
+ Revision: 356299
- new version
- fix build

* Tue Feb 17 2009 Götz Waschk <waschk@mandriva.org> 2.25.91-2mdv2009.1
+ Revision: 341372
- bump for bs bs
- new version
- rediff patch
- fix autoreconf call

* Mon Jan 19 2009 Götz Waschk <waschk@mandriva.org> 2.25.5-1mdv2009.1
+ Revision: 331439
- update to new version 2.25.5

* Thu Dec 18 2008 Götz Waschk <waschk@mandriva.org> 2.25.3-1mdv2009.1
+ Revision: 315912
- update to new version 2.25.3

* Tue Nov 25 2008 Götz Waschk <waschk@mandriva.org> 2.24.2-1mdv2009.1
+ Revision: 306595
- update to new version 2.24.2

* Fri Nov 07 2008 Götz Waschk <waschk@mandriva.org> 2.24.1-2mdv2009.1
+ Revision: 300876
- rebuild for new libxcb

* Wed Oct 22 2008 Götz Waschk <waschk@mandriva.org> 2.24.1-1mdv2009.1
+ Revision: 296440
- update to new version 2.24.1

* Tue Sep 23 2008 Götz Waschk <waschk@mandriva.org> 2.24.0-1mdv2009.0
+ Revision: 287268
- new version

* Mon Sep 08 2008 Götz Waschk <waschk@mandriva.org> 2.23.92-1mdv2009.0
+ Revision: 282796
- new version

* Tue Sep 02 2008 Götz Waschk <waschk@mandriva.org> 2.23.91-1mdv2009.0
+ Revision: 278805
- new version

* Mon Aug 04 2008 Götz Waschk <waschk@mandriva.org> 2.23.6-1mdv2009.0
+ Revision: 263625
- new version

* Thu Jul 03 2008 Götz Waschk <waschk@mandriva.org> 2.23.4-1mdv2009.0
+ Revision: 230987
- new version

* Mon Jun 30 2008 Götz Waschk <waschk@mandriva.org> 2.22.3-1mdv2009.0
+ Revision: 230188
- new version
- fix license
- fix buildrequires
- patch to make it link

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Apr 09 2008 Götz Waschk <waschk@mandriva.org> 2.22.1-1mdv2009.0
+ Revision: 192481
- new version
- drop patch

* Thu Mar 27 2008 Frederic Crozat <fcrozat@mandriva.com> 2.22.0-2mdv2008.1
+ Revision: 190736
- Patch0: various fixes from SVN

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 2.22.0-1mdv2008.1
+ Revision: 183850
- new version

* Tue Feb 26 2008 Götz Waschk <waschk@mandriva.org> 2.21.92-1mdv2008.1
+ Revision: 175482
- new version

* Mon Feb 18 2008 Thierry Vignaud <tv@mandriva.org> 2.21.91-2mdv2008.1
+ Revision: 170962
- rebuild

* Mon Feb 11 2008 Götz Waschk <waschk@mandriva.org> 2.21.91-1mdv2008.1
+ Revision: 165445
- fix rpmlint error
- new version

* Mon Jan 28 2008 Götz Waschk <waschk@mandriva.org> 2.21.90-1mdv2008.1
+ Revision: 159050
- new version

* Tue Jan 15 2008 Götz Waschk <waschk@mandriva.org> 2.21.5-1mdv2008.1
+ Revision: 152131
- new version
- update buildrequires

  + Thierry Vignaud <tv@mandriva.org>
    - do not package big ChangeLog
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Nov 14 2007 Götz Waschk <waschk@mandriva.org> 2.21.2.1-1mdv2008.1
+ Revision: 108690
- new version

* Tue Oct 16 2007 Götz Waschk <waschk@mandriva.org> 2.20.1-1mdv2008.1
+ Revision: 98873
- new version

* Mon Sep 17 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.0
+ Revision: 89343
- new version

* Tue Sep 04 2007 Götz Waschk <waschk@mandriva.org> 2.19.92-1mdv2008.0
+ Revision: 79454
- rename the package

* Tue Aug 14 2007 Götz Waschk <waschk@mandriva.org> 2.19.90-1mdv2008.0
+ Revision: 63277
- new version
- new devel name

* Mon Jul 30 2007 Götz Waschk <waschk@mandriva.org> 2.19.6-1mdv2008.0
+ Revision: 56701
- new version

* Sun Jul 08 2007 Götz Waschk <waschk@mandriva.org> 2.19.5-1mdv2008.0
+ Revision: 50067
- new version
- update file list

* Mon Jun 18 2007 Götz Waschk <waschk@mandriva.org> 2.19.4-1mdv2008.0
+ Revision: 41128
- new version
- update devel conflicts
- new version
- drop patch 0
- new major

* Mon May 28 2007 Götz Waschk <waschk@mandriva.org> 2.18.2-1mdv2008.0
+ Revision: 32083
- new version
- drop patch

* Fri Apr 27 2007 Pascal Terjan <pterjan@mandriva.org> 2.18.0-2mdv2008.0
+ Revision: 18812
- Don't crash when dragging a small window


* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 142068
- new version

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 2.17.92-1mdv2007.1
+ Revision: 126124
- new version

* Mon Feb 12 2007 Götz Waschk <waschk@mandriva.org> 2.17.91-1mdv2007.1
+ Revision: 120219
- new version

* Tue Jan 30 2007 Götz Waschk <waschk@mandriva.org> 2.16.3-1mdv2007.1
+ Revision: 115378
- new version

* Wed Nov 22 2006 Götz Waschk <waschk@mandriva.org> 2.16.2-1mdv2007.1
+ Revision: 86190
- new version

* Fri Oct 13 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-3mdv2007.1
+ Revision: 63835
- rebuild
- rebuild
- Import libwnck

* Fri Oct 06 2006 Götz Waschk <waschk@mandriva.org> 2.16.1-1mdv2007.0
- New version 2.16.1

* Wed Sep 13 2006 Frederic Crozat <fcrozat@mandriva.com> 2.16.0-2mdv2007.0
- Patch0 (CVS): various bug fixes from CVS

* Tue Sep 05 2006 Götz Waschk <waschk@mandriva.org> 2.16.0-1mdv2007.0
- New release 2.16.0

* Wed Aug 23 2006 Götz Waschk <waschk@mandriva.org> 2.15.92-1mdv2007.0
- New release 2.15.92

* Wed Aug 09 2006 Götz Waschk <waschk@mandriva.org> 2.15.91-1mdv2007.0
- New release 2.15.91

* Wed Jul 26 2006 Götz Waschk <waschk@mandriva.org> 2.15.90-1
- New release 2.15.90

* Wed Jul 12 2006 Götz Waschk <waschk@mandriva.org> 2.15.4-1mdv2007.0
- New release 2.15.4

* Wed Jun 14 2006 Götz Waschk <waschk@mandriva.org> 2.15.3-1
- New release 2.15.3

* Fri Jun 02 2006 Frederic Crozat <fcrozat@mandriva.com> 2.15.2-1mdv2007.0
- Release 2.15.2

* Wed May 31 2006 Götz Waschk <waschk@mandriva.org> 2.14.2-1mdv2007.0
- New release 2.14.2

* Thu Apr 13 2006 Frederic Crozat <fcrozat@mandriva.com> 2.14.1-1mdk
- Release 2.14.1
- Remove patch0 (merged upstream)

* Wed Apr 05 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.3-3mdk
- Update patch0 (fix regression from GNOME bug #335316)

* Wed Mar 01 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.3-2mdk
- Patch0 (vuntz): fix window activatin across workspace (GNOME bug #331661)

* Tue Feb 07 2006 Götz Waschk <waschk@mandriva.org> 2.12.3-1mdk
- New release 2.12.3
- use mkrel

* Tue Nov 29 2005 Götz Waschk <waschk@mandriva.org> 2.12.2-1mdk
- New release 2.12.2

* Mon Oct 10 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.12.1-3mdk
- add BuildRequires: perl-XML-Parser

* Thu Oct 06 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-2mdk
- Add conflicts to ease upgrade

* Thu Oct 06 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-1mdk
- Release 2.12.1
- Remove patches 0, 1, 2, 3, 4, 5 (merged upstream)

* Mon Aug 29 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.3-3mdk 
- Patch1 (CVS): fix icon used for window selector
- Patch2 (CVS): fix memleak
- Patch3 (CVS): improve attention demand notification
- Patch4 (CVS): fix EWHM implemention
- Patch5 (CVS): fix transient window activation

* Mon Aug 29 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.3-2mdk 
- Patch0 (CVS): fix flicker when moving window across workspaces

* Tue Jul 26 2005 Götz Waschk <waschk@mandriva.org> 2.10.3-1mdk
- New release 2.10.3

* Wed Jun 29 2005 Götz Waschk <waschk@mandriva.org> 2.10.2-1mdk
- New release 2.10.2

* Fri Apr 22 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.0-2mdk 
- Add conflicts to easy upgrade

* Thu Apr 21 2005 Frederic Crozat <fcrozat@mandriva.com> 2.10.0-1mdk 
- Release 2.10.0 (from Götz Waschk package)

* Sun Mar 20 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-2mdk 
- Patch0 (CVS): various bug fixes

* Wed Oct 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.1-1mdk
- New release 2.8.1
- Remove patches 0, 1, 2 (merged upstream)

* Wed Sep 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.2.1-2mdk
- Patch0 (CVS): fix move to workspace X when window is on all workspaces
- Patch1 (CVS): fix focus when unminimizing from menu
- Patch2 (CVS): fix extents size for accessible API

* Wed Jul 07 2004 Goetz Waschk <waschk@linux-mandrake.com> 2.6.2.1-1mdk
- New release 2.6.2.1

* Wed Jun 16 2004 Götz Waschk <waschk@linux-mandrake.com> 2.6.2-1mdk
- reenable libtoolize
- New release 2.6.2

* Wed Apr 21 2004 Götz Waschk <waschk@linux-mandrake.com> 2.6.1-1mdk
- drop the patch (merged)
- New release 2.6.1

* Tue Apr 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0.1-1mdk
- Release 2.6.0.1 (with Götz help)

